package com.goafanti.expenseAccount.bo;

import java.math.BigDecimal;

public class SonExpenseAccountDetails {

    private Integer id;
    private Integer type;
    private String typeOther;
    private BigDecimal amount;
    private BigDecimal realAmount;
    private String  startDistrict;
    private String  endDistrict;
    private Integer  vehicle;
    private String  vehicleOther;
    private String  startTime;
    private String  endTime;
    private String  agreeTime;

    /**
     * 付款方式
     */
    private Integer payType;

    /**
     * 发票类型 0普票 1专票
     */
    private Integer invoiceType;

    /**
     * 发票号
     */
    private String invoiceNo;

    /**
     * 付款单位
     */
    private String payerName;

    /**
     * 开户行名称
     */
    private String openBank;

    /**
     * 银行账户
     */
    private String bankAccounts;

    /**
     * 开户行地址
     */
    private String openBankAddress;

    public String getTypeOther() {
        return typeOther;
    }

    public void setTypeOther(String typeOther) {
        this.typeOther = typeOther;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getAgreeTime() {
        return agreeTime;
    }

    public void setAgreeTime(String agreeTime) {
        this.agreeTime = agreeTime;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getPayerName() {
        return payerName;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getOpenBank() {
        return openBank;
    }

    public void setOpenBank(String openBank) {
        this.openBank = openBank;
    }

    public String getBankAccounts() {
        return bankAccounts;
    }

    public void setBankAccounts(String bankAccounts) {
        this.bankAccounts = bankAccounts;
    }

    public String getOpenBankAddress() {
        return openBankAddress;
    }

    public void setOpenBankAddress(String openBankAddress) {
        this.openBankAddress = openBankAddress;
    }

    public Integer getVehicle() {
        return vehicle;
    }

    public void setVehicle(Integer vehicle) {
        this.vehicle = vehicle;
    }

    public String getVehicleOther() {
        return vehicleOther;
    }

    public void setVehicleOther(String vehicleOther) {
        this.vehicleOther = vehicleOther;
    }

    public BigDecimal getRealAmount() {
        return realAmount;
    }

    public void setRealAmount(BigDecimal realAmount) {
        this.realAmount = realAmount;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getStartDistrict() {
        return startDistrict;
    }

    public void setStartDistrict(String startDistrict) {
        this.startDistrict = startDistrict;
    }

    public String getEndDistrict() {
        return endDistrict;
    }

    public void setEndDistrict(String endDistrict) {
        this.endDistrict = endDistrict;
    }
}
